All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros Groups
stan::math::container_view< Eigen::Matrix< T1, R, C >, T2 > Class Template Reference

Template specialization for scalar view of array y with scalar type T2. More...

`#include <container_view.hpp>`

## Public Member Functions

| container_view (const Eigen::Matrix< T1, R, C > &x, T2 *y)
| Constructor. More...
T2 & | operator[] (int i)
| operator[](int i) returns reference to scalar of type T2 at appropriate index i in array y More...

## Detailed Description

### template<typename T1, typename T2, int R, int C>
class stan::math::container_view< Eigen::Matrix< T1, R, C >, T2 >

Template specialization for scalar view of array y with scalar type T2.

Template Parameters

  T1 | scalar type of input matrix
  T2 | scalar type returned by view.
  R | rows of input matrix and view
  C | columns of input matrix and view

Definition at line 58 of file container_view.hpp.

## Constructor & Destructor Documentation

template<typename T1 , typename T2 , int R, int C>

stan::math::container_view< Eigen::Matrix< T1, R, C >, T2 >::container_view | ( | const Eigen::Matrix< T1, R, C > & | x,
|  | T2 * | y
| ) |  |

inline

Constructor.

Parameters

  x | input matrix
  y | underlying array

Definition at line 66 of file container_view.hpp.

## Member Function Documentation

template<typename T1 , typename T2 , int R, int C>

T2& stan::math::container_view< Eigen::Matrix< T1, R, C >, T2 >::operator[] | ( | int | i | ) |

inline

operator[](int i) returns reference to scalar of type T2 at appropriate index i in array y

Definition at line 73 of file container_view.hpp.

The documentation for this class was generated from the following file:

- stan/math/prim/mat/meta/container_view.hpp

[ Stan Home Page ] © 2011–2015, Stan Development Team.